# vim:tw=0:ts=4:sw=4:et
%define major 2
%define minor 0
%define sub 5
%define extralevel %{nil}
%define rpm_release 1
%define release_name dell-repo-tools
%define release_version %{major}.%{minor}.%{sub}%{extralevel}

# per fedora python packaging guidelines
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

#disable empty debuginfo package
%define debug_package %{nil}

Name:           dell-repo-tools
Version:        %{release_version}
Release:        1.2
Summary:        Scripts to extract BIOS/Firmware from Dell Update Packages

Group:          Applications/System
# License is actually GPL/OSL dual license (GPL Compatible), but rpmlint complains
License:        GPL style
URL:            http://linux.dell.com/libsmbios/download/
Source0:        http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# SUSE build has anal directory ownership check. RPM which owns all dirs *must*
# be installed at buildtime. This means we have to BuildRequire them, even if
# we dont really need them at build time.
%if 0%{?suse_version}
BuildRequires: firmware-tools
%endif

BuildRequires:  python-devel
Requires: smbios-utils unshield wine firmware-addon-dell
Requires: firmware-tools >= 0:2.0
Requires: firmware-extract >= 0:2.0

%description
placeholder


%prep
%setup -q


%build
# this line lets us build an RPM directly from a git tarball
[ -e ./configure ] || ./autogen.sh

# fix problems when buildsystem time is out of sync. ./configure will
# fail if newly created files are older than the packaged files.
# this should normally be a no-op on proper buildsystems.
touch configure
find . -type f -newer configure -print0 | xargs -r0 touch

%configure
make -e %{?_smp_mflags}


%install
# Fedora Packaging guidelines
rm -rf $RPM_BUILD_ROOT
# SUSE Packaging rpmlint
mkdir $RPM_BUILD_ROOT

make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%if 0%{?suse_version} >= 1110
 %dir %{_sysconfdir}/firmware
 %dir %{_sysconfdir}/firmware/firmware.d
 %dir %{_datadir}/firmware-tools
%endif
%doc COPYING-GPL COPYING-OSL README
%{_sysconfdir}/firmware/firmware.d/*
%{_datadir}/firmware-tools/extract.dat
%attr(0755,root,root) %{_bindir}/*


%changelog
* Mon Mar 12 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.0-1
- Fedora-compliant packaging changes.
